For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • GETGet rentable items for a lead
        • POSTCreate Lead: ResMan
        • PUTUpdate Lead: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManLeads

Create Lead: ResMan

POST
/v1/leads/resman/
POST
/v1/leads/resman/
$curl -X POST https://api.propexo.com/v1/leads/resman/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-987654321",
> "lead_source_id": "leadsrc-123456789",
> "employee_id": "emp-456789123",
> "property_id": "prop-789123456",
> "first_name": "Emily",
> "last_name": "Johnson"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "int-987654321",
7 "lead_source_id": "leadsrc-123456789",
8 "employee_id": "emp-456789123",
9 "property_id": "prop-789123456",
10 "unit_id": "unit-101",
11 "floor_plan_id": "fp-202",
12 "first_name": "Emily",
13 "last_name": "Johnson",
14 "email_1": "emily.johnson@example.com",
15 "phone_1": "+1-555-123-4567",
16 "phone_1_type": "MOBILE",
17 "phone_2": "+1-555-765-4321",
18 "phone_2_type": "WORK",
19 "city": "San Francisco",
20 "address_1": "123 Market St",
21 "address_2": "Apt 4B",
22 "state": "CA",
23 "zip": "94105",
24 "notes": "Interested in a pet-friendly unit with parking.",
25 "desired_num_bedrooms": 2,
26 "desired_num_bathrooms": 2,
27 "desired_max_rent_in_cents": 350000,
28 "desired_lease_term_in_months": 12,
29 "target_move_in_date": "2024-07-01T00:00:00Z"
30 }
31}
Create Lead: ResMan | Interface | Method | |---|---| | Lead Management | /MITS/PostLeadManagement4_0 | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Lead: ResMan

Next
Built with

Create Lead: ResMan

InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lead_source_idstringRequired
The Propexo unique identifier for the lead source
employee_idstringRequired
The Propexo unique identifier for the employee
property_idstringRequired
The Propexo unique identifier for the property
first_namestringRequired
The first name associated with the lead
last_namestringRequired
The last name associated with the lead
unit_idstringOptional
The Propexo unique identifier for the unit
floor_plan_idstringOptional
The Propexo unique identifier for the floor plan
email_1stringOptional
The primary email address associated with the lead
phone_1stringOptional
Primary phone number associated with the lead
phone_1_typeenumOptional
Type of the primary phone number. This will default to HOME if not provided
Allowed values:
phone_2stringOptional
Secondary phone number associated with the lead
phone_2_typeenumOptional
Type of the secondary phone number. This will default to MOBILE if not provided
Allowed values:
citystringOptional
The city associated with the lead
address_1stringOptional
The first address line associated with the lead
address_2stringOptional
The second address line associated with the lead
statestringOptional
The state associated with the lead
zipstringOptional
The zip code associated with the lead
notesstringOptional
Notes associated with the lead
desired_num_bedroomsdoubleOptional>=0
The desired number of bedrooms
desired_num_bathroomsdoubleOptional>=0
The desired number of bathrooms
desired_max_rent_in_centsdoubleOptional>=0
The maximum rent cost the lead is looking to pay, in cents
desired_lease_term_in_monthsdoubleOptional>=0
The amount of months for the lease term
target_move_in_datestringOptional
The target move in date associated with the lead

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error